<template>
  <div class="vincular-telegram">
    <h3>Redirigiendo...</h3>
    <p>
      Si tu navegador no te redirige,
      <a :href="telegramUrl" target="_blank" rel="noopener noreferrer"
        >hacé click acá</a
      >.
    </p>
  </div>
</template>

<script>
import { mapState } from 'vuex'

export default {
  name: 'VincularTelegramView',
  computed: {
    ...mapState({
      telegramUrl(state) {
        return state.profile.telegram_url
      },
    }),
  },
  mounted() {
    if (this.$route.query.directo) location.href = this.telegramUrl
    else window.open(this.telegramUrl, '_blank')
  },
}
</script>

<style lang="scss" scoped>
.vincular-telegram {
  margin: 0 20px;
}
</style>
